/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IFocusTrapZone, IFocusTrapZoneProps } from './FocusTrapZone.types';
export declare class FocusTrapZone extends BaseComponent<IFocusTrapZoneProps, {}> implements IFocusTrapZone {
    private static _focusStack;
    private static _clickStack;
    private _root;
    private _previouslyFocusedElementOutsideTrapZone;
    private _previouslyFocusedElementInTrapZone?;
    private _isInFocusStack;
    private _isInClickStack;
    componentWillMount(): void;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IFocusTrapZoneProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    focus(): void;
    private _onFocusCapture;
    private _onKeyboardHandler;
    private _forceFocusInTrap(ev);
    private _forceClickInTrap(ev);
}
